- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Fields

# xcb_generic_reply_t Struct Reference
[XCB Core API]

Generic reply. More...

`#include <xcb.h>`

## Data Fields
uint8_t | response_type
uint8_t | pad0
uint16_t | sequence
uint32_t | length

## Detailed Description

Generic reply.

A generic reply structure.

## Field Documentation

uint8_t xcb_generic_reply_t::response_type

Type of the response

uint8_t xcb_generic_reply_t::pad0

Padding

uint16_t xcb_generic_reply_t::sequence

Sequence number

uint32_t xcb_generic_reply_t::length

Length of the response

The documentation for this struct was generated from the following file:

- xcb.h